# Program : gnuplot_spy.sh
# Description : Draw spy plot from tab file

which hadoop > /dev/null
status=$?
if test $status -ne 0 ; then
	echo ""
	echo "Hadoop is not installed in the system."
	echo "Please install Hadoop and make sure the hadoop binary is accessible."
	exit 127
fi

if [ $# -ne 3 ]; then
	 echo 1>&2 Usage: $0 [xtics] [# of nodes] [image_width]
	 exit 127
fi

cd $(dirname $(readlink -f $0))

rm netray_spy.plt
cat netray_spy_front.plt > netray_spy.plt
echo "set xtics "$1 >> netray_spy.plt
echo "n = "$2 >> netray_spy.plt
echo "s = "$3 >> netray_spy.plt
cat netray_spy_back.plt >> netray_spy.plt
gnuplot netray_spy.plt
