# Program : netray_scatter.sh
# Description : Run GigaScatter which plots billions of points

which hadoop > /dev/null
status=$?
if test $status -ne 0 ; then
	echo ""
	echo "Hadoop is not installed in the system."
	echo "Please install Hadoop and make sure the hadoop binary is accessible."
	exit 127
fi


if [ $# -ne 6 ]; then
	 echo 1>&2 Usage: $0 [input HDFS path] [output HDFS path] [image_width] [lin or log] [field_ids] [#_of_reducers]
	 exit 127
fi

cd $(dirname $(readlink -f $0))

# Remove output files on HDFS
hadoop fs -rmr netray_minmax

hadoop jar ../jar/netray-2.0.jar NetRay.NetRayScatter $*
