set key top right box
set logscale xy 10
set format x "10^{%L}"
set format y "10^{%L}"

set terminal postscript enhanced eps 30 color

# to create matlab-like palette
set palette defined ( 0 '#000090',\
                      1 '#000fff',\
                      2 '#0090ff',\
                      3 '#0fffee',\
                      4 '#90ff70',\
                      5 '#ffee00',\
                      6 '#ff7000',\
                      7 '#ee0000',\
                      8 '#7f0000')

set view map
set pm3d map
set nokey



#########################################################
### start: edit this area

set xlabel "Degree" offset 0,0.2
set ylabel "PageRank" -1,0

s = 16

x_min = 1.2
x_max = 10.555
y_min = 0.5
y_max = 6.5

### end: edit this area
#########################################################


set xrange [x_min:x_max]
set yrange [y_min:y_max]

set output '../netray_scatter_corr.eps'
splot "../netray_scatter_corr.tab" using ( exp(log(x_min) + (($1)-1)*(log(x_max) - log(x_min))/(s-1)) ):( exp(log(y_min) + (($2)-1)*(log(y_max) - log(y_min))/(s-1)) ):(log10($3)) with points notitle palette pt 5 ps 2

