set key top right box

set xlabel "Source" 0, 0.5
set ylabel "Destination" 0,0

set terminal png size 500,500 enhanced 

# to create matlab-like palette
set palette defined ( 0 '#000090',\
                      1 '#000fff',\
                      2 '#0090ff',\
                      3 '#0fffee',\
                      4 '#90ff70',\
                      5 '#ffee00',\
                      6 '#ff7000',\
                      7 '#ee0000',\
                      8 '#7f0000')

set view map
set pm3d map

set nokey
set xtics 5
n = 16
s = 16
set xrange [-n*0.0025:n+1]
set yrange [-n*0.0025:n+1]
set cbrange [0:]
x_min = 1
x_max = n
y_min = 1
y_max = n


set output 'tegviz_result/netray_spy.png'
splot "tegviz_result/netray_spy.tab" using ( x_min + (($1)-1)*(x_max-x_min)/(s-1) ):( y_min + (($2)-1)*(y_max-y_min)/(s-1) ):(log10($3)) with points notitle palette pt 5 ps (2/(log10(x_max)))
