# Program : netray_spy.sh
# Description : Run NetRay-Spy which digitizes a very large spyplot of a matrix.

which hadoop > /dev/null
status=$?
if test $status -ne 0 ; then
	echo ""
	echo "Hadoop is not installed in the system."
	echo "Please install Hadoop and make sure the hadoop binary is accessible."
	exit 127
fi

if [ $# -ne 6 ]; then
	 echo 1>&2 Usage: $0 [input HDFS path] [output HDFS path] [number_nodes] [image_width] [lin or log] [#_of_reducers]
	 exit 127
fi

cd $(dirname $(readlink -f $0))

# Remove output files on HDFS
hadoop fs -rmr netrayspy_out

hadoop jar ./bin/netray-2.0.jar NetRay.NetRaySpy $*
