# Program : teg_kronecker.sh
# Description : Generate Kronecker Graph on HDFS

which hadoop > /dev/null
status=$?
if test $status -ne 0 ; then
	echo ""
	echo "Hadoop is not installed in the system."
	echo "Please install Hadoop and make sure the hadoop binary is accessible."
	exit 127
fi

if [ $# -ne 3 ]; then
	 echo 1>&2 Usage: $0 [power] [reducer] [seedfile]
	 exit 127
fi

cd $(dirname $(readlink -f $0))

# Remove output file on HDFS
hadoop fs -rmr kronecker_output
hadoop fs -rmr kronecker_temporal_input

# Generate Kronecker Graph on HDFS
hadoop jar ./bin/TeG.jar TeG.KroneckerGenerator $1 $2 $3

