# Program : teg_random.sh
# Description : Generate random graph on HDFS

which hadoop > /dev/null
status=$?
if test $status -ne 0 ; then
	echo ""
	echo "Hadoop is not installed in the system."
	echo "Please install Hadoop and make sure the hadoop binary is accessible."
	exit 127
fi

if [ $# -ne 3 ]; then
	 echo 1>&2 Usage: $0 [node] [edge] [reducer]
	 exit 127
fi

cd $(dirname $(readlink -f $0))

# Remove output files on HDFS
hadoop fs -rmr random_dst
hadoop fs -rmr random_src

# Generate random graph on HDFS
hadoop jar ./bin/TeG.jar TeG.RandomGenerator $1 $2 $3

