# Program : teg_rmat.sh
# Description : Generate R-MAT graph on HDFS

which hadoop > /dev/null
status=$?
if test $status -ne 0 ; then
	echo ""
	echo "Hadoop is not installed in the system."
	echo "Please install Hadoop and make sure the hadoop binary is accessible."
	exit 127
fi

if [ $# -ne 8 ]; then
	 echo 1>&2 Usage: $0 [node: power of 2] [edge] [reducer] [a] [b] [c] [d] [duplication option]
	 exit 127
fi

cd $(dirname $(readlink -f $0))

# Remove output files on HDFS
hadoop fs -rmr rmat_src 
hadoop fs -rmr rmat_dst

# Generate R-MAT graph on HDFS
hadoop jar ./bin/TeG.jar TeG.RMATGenerator $1 $2 $3 $4 $5 $6 $7 $8

