# Program : tegviz_kronecker.sh
# Description : Generate kronecker graph on HDFS(TeG), and visualize it with spy plot(Net-Ray).

which hadoop > /dev/null
status=$?
if test $status -ne 0 ; then
	echo ""
	echo "Hadoop is not installed in the system."
	echo "Please install Hadoop and make sure the hadoop binary is accessible."
	exit 127
fi

if [ $# -ne 5 ]; then
	 echo 1>&2 Usage: $0 [exponent] [reducer] [seedfile] [image_width] [lin or log]
	 exit 127
fi

cd $(dirname $(readlink -f $0))

./teg_kronecker.sh $1 $2 $3
rm -rf tegviz_result
mkdir tegviz_result

# set number of nodes
nodes=$(wc -L $3 | awk '{print $1}')
nodes=`expr $nodes + 1`
nodes=`expr $nodes / 2`
nodes=$(($nodes**$1))

./netray_spy.sh kronecker_output netrayspy_out $nodes $4 $5 $2
hadoop fs -get netrayspy_out tegviz_result
cat tegviz_result/netrayspy_out/part-* > tegviz_result/netray_spy.tab
xtics=`expr $nodes / 3`
./gnuplot_spy.sh $xtics $nodes $4
