# Program : tegviz_random.sh
# Description : Generate random graph on HDFS(TeG), and visualize it with spy plot(Net-Ray).

which hadoop > /dev/null
status=$?
if test $status -ne 0 ; then
	echo ""
	echo "Hadoop is not installed in the system."
	echo "Please install Hadoop and make sure the hadoop binary is accessible."
	exit 127
fi

if [ $# -ne 5 ]; then
	 echo 1>&2 Usage: $0 [node] [edge] [reducer] [image_width] [lin or log]
	 exit 127
fi

cd $(dirname $(readlink -f $0))

./teg_random.sh $1 $2 $3

# Remove output files on local disk
rm -rf tegviz_result
mkdir tegviz_result

./netray_spy.sh random_dst netrayspy_out $1 $4 $5 $3
hadoop fs -get netrayspy_out tegviz_result
cat tegviz_result/netrayspy_out/part-* > tegviz_result/netray_spy.tab
xtics=`expr $1 / 3`
./gnuplot_spy.sh $xtics $1 $4
