# Program : tegviz_rmat.sh
# Description : Generate R-MAT graph on HDFS(TeG), and visualize it with spy plot(Net-Ray).

which hadoop > /dev/null
status=$?
if test $status -ne 0 ; then
	echo ""
	echo "Hadoop is not installed in the system."
	echo "Please install Hadoop and make sure the hadoop binary is accessible."
	exit 127
fi

if [ $# -ne 10 ]; then
	 echo 1>&2 Usage: $0 [exponent] [edge] [reducer] [a] [b] [c] [d] [duplication option] [image_width] [lin or log]
	 exit 127
fi

cd $(dirname $(readlink -f $0))

./teg_rmat.sh $1 $2 $3 $4 $5 $6 $7 $8

rm -rf tegviz_result
mkdir tegviz_result

nodes=$((2**$1))
./netray_spy.sh rmat_dst netrayspy_out $nodes $9 $10 $3
hadoop fs -get netrayspy_out tegviz_result
cat tegviz_result/netrayspy_out/part-* > tegviz_result/netray_spy.tab
xtics=`expr $nodes / 3`
./gnuplot_spy.sh $xtics $nodes $9
